Skip to main content
`Ctrl`+`K`

# KSPHPDDMSetDeflationMat

Sets the deflation space used by Krylov methods in `KSPHPDDM` with recycling. This space is viewed as a set of vectors stored in a `MATDENSE` (column major).

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPHPDDMSetDeflationMat(KSP ksp, Mat U)

## Input Parameters

- ksp - iterative context

- U - deflation space to be used during `KSPSolve()`

## See Also

KSP: Linear System Solvers, `KSPHPDDM`, `KSPCreate()`, `KSPType`, `KSPHPDDMGetDeflationMat()`

## Level

intermediate

## Location

src/ksp/ksp/impls/hpddm/hpddm.cxx

## Examples

src/ksp/ksp/tutorials/ex75.c
src/ksp/ksp/tutorials/ex75f.F90

## Implementations

KSPHPDDMSetDeflationMat_HPDDM() in src/ksp/ksp/impls/hpddm/hpddm.cxx

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages